Error import Active Directory module

Aug 18, 2014 at 4:25 PM
Hi,

I'm using a custom powershell workflow which queries AD, and to do that at the top of my script I have an "Import-Module ActiveDirectory" command

When I ran this workflow, the import-module gave an error:
module cannot be imported because its manifest contains one or more members that are not valid.
From reading on the forums I realise that this is due to the fact that the AD module requires PS 3.0 however the workflow activity runs in PS2.0. Is there a way around this? Can I get the PS workflow activity to run under powershell 3.0?

I'm running AD under Windows Server 2012 R2

Thanks in advance